<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.hwpf.usermodel.ShadingDescriptor (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.hwpf.usermodel.ShadingDescriptor (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor.html"
               title="class in org.apache.poi.hwpf.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hwpf/usermodel/class-use/ShadingDescriptor.html"
               target="_top">Frames</a></li>
        <li><a href="ShadingDescriptor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.hwpf.usermodel.ShadingDescriptor" class="title">Uses of Class<br>org.apache.poi.hwpf.usermodel.ShadingDescriptor
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor.html"
                        title="class in org.apache.poi.hwpf.usermodel">ShadingDescriptor</a></span><span class="tabEnd">&nbsp;</span>
                </caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.model.types">org.apache.poi.hwpf.model.types</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.usermodel">org.apache.poi.hwpf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hwpf.model.types">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor.html"
                                   title="class in org.apache.poi.hwpf.usermodel">ShadingDescriptor</a> in <a
                            href="../../../../../../org/apache/poi/hwpf/model/types/package-summary.html">org.apache.poi.hwpf.model.types</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing fields, and an explanation">
                        <caption><span>Fields in <a
                                href="../../../../../../org/apache/poi/hwpf/model/types/package-summary.html">org.apache.poi.hwpf.model.types</a> declared as <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor.html"
                                title="class in org.apache.poi.hwpf.usermodel">ShadingDescriptor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Field and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor.html"
                                    title="class in org.apache.poi.hwpf.usermodel">ShadingDescriptor</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CHPAbstractType.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/types/CHPAbstractType.html#field_23_shd">field_23_shd</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor.html"
                                    title="class in org.apache.poi.hwpf.usermodel">ShadingDescriptor</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">TCAbstractType.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#field_3_shd">field_3_shd</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor.html"
                                    title="class in org.apache.poi.hwpf.usermodel">ShadingDescriptor</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">TAPAbstractType.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/types/TAPAbstractType.html#field_35_shdTable">field_35_shdTable</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor.html"
                                    title="class in org.apache.poi.hwpf.usermodel">ShadingDescriptor</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">PAPAbstractType.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/types/PAPAbstractType.html#field_66_shd">field_66_shd</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor.html"
                                    title="class in org.apache.poi.hwpf.usermodel">ShadingDescriptor</a>[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">TAPAbstractType.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/types/TAPAbstractType.html#field_75_rgshd">field_75_rgshd</a></span></code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hwpf/model/types/package-summary.html">org.apache.poi.hwpf.model.types</a> that return <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor.html"
                                title="class in org.apache.poi.hwpf.usermodel">ShadingDescriptor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor.html"
                                    title="class in org.apache.poi.hwpf.usermodel">ShadingDescriptor</a>[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">TAPAbstractType.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/types/TAPAbstractType.html#getRgshd--">getRgshd</a></span>()</code>
                                <div class="block">Get the rgshd field for the TAP record.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor.html"
                                    title="class in org.apache.poi.hwpf.usermodel">ShadingDescriptor</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">TCAbstractType.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#getShd--">getShd</a></span>()</code>
                                <div class="block">Cell shading.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor.html"
                                    title="class in org.apache.poi.hwpf.usermodel">ShadingDescriptor</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CHPAbstractType.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/types/CHPAbstractType.html#getShd--">getShd</a></span>()</code>
                                <div class="block">Shading.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor.html"
                                    title="class in org.apache.poi.hwpf.usermodel">ShadingDescriptor</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">PAPAbstractType.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/types/PAPAbstractType.html#getShd--">getShd</a></span>()</code>
                                <div class="block">Get the shd field for the PAP record.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor.html"
                                    title="class in org.apache.poi.hwpf.usermodel">ShadingDescriptor</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">TAPAbstractType.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/types/TAPAbstractType.html#getShdTable--">getShdTable</a></span>()</code>
                                <div class="block">Table shading.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hwpf/model/types/package-summary.html">org.apache.poi.hwpf.model.types</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor.html"
                                title="class in org.apache.poi.hwpf.usermodel">ShadingDescriptor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">TAPAbstractType.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/types/TAPAbstractType.html#setRgshd-org.apache.poi.hwpf.usermodel.ShadingDescriptor:A-">setRgshd</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor.html"
                                    title="class in org.apache.poi.hwpf.usermodel">ShadingDescriptor</a>[]&nbsp;field_75_rgshd)</code>
                                <div class="block">Set the rgshd field for the TAP record.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">TCAbstractType.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#setShd-org.apache.poi.hwpf.usermodel.ShadingDescriptor-">setShd</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor.html"
                                    title="class in org.apache.poi.hwpf.usermodel">ShadingDescriptor</a>&nbsp;field_3_shd)</code>
                                <div class="block">Cell shading.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">CHPAbstractType.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/types/CHPAbstractType.html#setShd-org.apache.poi.hwpf.usermodel.ShadingDescriptor-">setShd</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor.html"
                                    title="class in org.apache.poi.hwpf.usermodel">ShadingDescriptor</a>&nbsp;field_23_shd)</code>
                                <div class="block">Shading.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">PAPAbstractType.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/types/PAPAbstractType.html#setShd-org.apache.poi.hwpf.usermodel.ShadingDescriptor-">setShd</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor.html"
                                    title="class in org.apache.poi.hwpf.usermodel">ShadingDescriptor</a>&nbsp;field_66_shd)</code>
                                <div class="block">Set the shd field for the PAP record.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">TAPAbstractType.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/types/TAPAbstractType.html#setShdTable-org.apache.poi.hwpf.usermodel.ShadingDescriptor-">setShdTable</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor.html"
                                    title="class in org.apache.poi.hwpf.usermodel">ShadingDescriptor</a>&nbsp;field_35_shdTable)</code>
                                <div class="block">Table shading.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hwpf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor.html"
                                   title="class in org.apache.poi.hwpf.usermodel">ShadingDescriptor</a> in <a
                            href="../../../../../../org/apache/poi/hwpf/usermodel/package-summary.html">org.apache.poi.hwpf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/package-summary.html">org.apache.poi.hwpf.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor.html"
                                title="class in org.apache.poi.hwpf.usermodel">ShadingDescriptor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor.html"
                                    title="class in org.apache.poi.hwpf.usermodel">ShadingDescriptor</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">ShadingDescriptor.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor.html#clone--">clone</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor.html"
                                    title="class in org.apache.poi.hwpf.usermodel">ShadingDescriptor</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">ParagraphProperties.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/ParagraphProperties.html#getShading--">getShading</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor.html"
                                    title="class in org.apache.poi.hwpf.usermodel">ShadingDescriptor</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Paragraph.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html#getShading--">getShading</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor.html"
                                    title="class in org.apache.poi.hwpf.usermodel">ShadingDescriptor</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">ShadingDescriptor80.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor80.html#toShadingDescriptor--">toShadingDescriptor</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/package-summary.html">org.apache.poi.hwpf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor.html"
                                title="class in org.apache.poi.hwpf.usermodel">ShadingDescriptor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">ParagraphProperties.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/ParagraphProperties.html#setShading-org.apache.poi.hwpf.usermodel.ShadingDescriptor-">setShading</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor.html"
                                    title="class in org.apache.poi.hwpf.usermodel">ShadingDescriptor</a>&nbsp;shd)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">Paragraph.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html#setShading-org.apache.poi.hwpf.usermodel.ShadingDescriptor-">setShading</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor.html"
                                    title="class in org.apache.poi.hwpf.usermodel">ShadingDescriptor</a>&nbsp;shd)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor.html"
               title="class in org.apache.poi.hwpf.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hwpf/usermodel/class-use/ShadingDescriptor.html"
               target="_top">Frames</a></li>
        <li><a href="ShadingDescriptor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
